List Endpoints
curl --request GET \
--url https://api.apitally.io/v1/apps/{app_id}/endpoints \
--header 'Api-Key: <api-key>'import requests
url = "https://api.apitally.io/v1/apps/{app_id}/endpoints"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.apitally.io/v1/apps/{app_id}/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"method": "<string>",
"path": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Endpoints
List Endpoints
List API endpoints for an app. Ordered by path and method.
GET
/
v1
/
apps
/
{app_id}
/
endpoints
List Endpoints
Authorizations
Path Parameters
App ID
Required range:
x >= 1Query Parameters
Filter to environment ID, if provided.
Required range:
x >= 1Filter to HTTP method(s), comma-separated.
Maximum string length:
64Example:
"GET,POST"
Filter to path pattern, supports wildcards (*).
Maximum string length:
1024Example:
"/api/v1/*"
Response
Successful Response
List of endpoints.
Show child attributes
Show child attributes
⌘I